68675: Acronis Cyber Protect Cloud Integration with ConnectWise Automate: Agent update Automate script fails

use Google Translate

Last update: 18-11-2022

Symptoms

When using the integration's install Agent functionality, if an older version of the Acronis agent is already installed on the workload, the agent does not get updated.

The script reports that Agent is already installed, even if the Agent is not the latest version, but does not update the agent.

Cause

Issue in the product.

Solution

This issue has been fixed in update 1.8 of the ConnectWise Automate integration.

As a workaround for earlier versions, use this Powershell script for installation:

  1. Download and unzip new_agent_install_script.zip
  2. Edit Step 27 of the Automate script to use the downloaded script new_agent_install_script.ps1
  3. Reattempt Agent upgrade.

Tags: